/*
////////////////////////////////////////////////////////////////////////////////////////////// 

	SWAPMYLI
	An easy way to swap list elements
	Version: 1.0
	Author: Devilcantburn
	Copyright 2013 81Lab / Julian Chaniolleau
	
//////////////////////////////////////////////////////////////////////////////////////////////
*/
(function($){

/* swapmyli */
$.fn.swapmyli = function(options) {

		var defaults = {
			swapTime: 300,
			transitionTime: 900,
			time: 2000,
			timer: 1,
			css: 1
		};
		var options = $.extend(defaults, options);
		var loopTimer = options.time - options.swapTime;
		var swapul = this;
		
		swapul.wrap('<div class="swapmyli clearfix"></div>');
		swapul.after('<div class="timer"><span></span></div><br class="clear" />');
		
		$(window).load(function(){
			// Initalize the rotator...
			var listFirst = swapul.find('li:first').outerHeight(true);
			swapul.height(listFirst);
			swapul.find('li').hide();
			// Launch the rotate process
			rotate();
		});
		
		if(options.timer == 0){
			swapul.parent().find('.timer').hide();
		}
		
		if(options.css == 0){
			swapul.parent().addClass('nocss');
		}
		// Rotator function
		function rotate() {
			// Find the timer span
			var timer = swapul.parent().find('.timer span');
			// animate the timer span
			timer.animate({ width: '100%' }, loopTimer);
			// find the height of first Li
			var listFirst = swapul.find('li:first').outerHeight(true);
			// fade the first LI
			swapul.find("li:first").fadeOut(120);
			// Change height of UL with the height of the first LI
			swapul.animate({ height: listFirst }, options.transitionTime);
			// Hide the list elements
			swapul.find('li').hide();
			// reset the width of timer span
			timer.animate({ width: '0%' }, 60);
			// move the current li to the end...
			swapul.find("li:first").remove().appendTo(swapul).fadeIn(options.swapTime);
		}
		// Start rotating
		setInterval(rotate, options.time);
};
/* /swapmyli */

})(jQuery);